Skip to main content
GET
/
v1
/
worker
실무자 목록
curl --request GET \
  --url https://openapi.pluuug.com/v1/worker \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "results": [
    {
      "id": 123,
      "name": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "position": {
        "id": 123,
        "title": "<string>",
        "symbolColor": "<string>"
      },
      "order": 123,
      "isHidden": true,
      "manMonthAmount": 123
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}

Documentation Index

Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Query Parameters

cursor
string

Pagination을 위한 커서

is_hidden
boolean

숨김 여부

page_size
integer

한번에 조회할 데이터의 개수 (limit)

position_id
string

직무 ID

이름 검색

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"